Détails du package smp-adobeair_32.0.0.89-1_all_all.wapt
retour Revenir à la liste des packages

smp-adobeair

ATTENTION CE DÉPÔT n'est plus compatible 1.3 vous devez migrer en 1.5.1.21 !

Fichier control :

package           : smp-adobeair
version           : 32.0.0.89-1
architecture      : all
section           : base
priority          : optional
maintainer        : Simon Fonteneau
description       : Adobe AIR is a runtime for software created with Adobe Flash and ActionScript without using a web browser.
depends           : 
conflicts         : 
maturity          : 
locale            : all
target_os         : windows
min_os_version    : 
max_os_version    : 
min_wapt_version  : 
sources           : 
installed_size    : 40181760
impacted_process  : 
description_fr    : 
description_pl    : 
description_de    : 
description_es    : 
audit_schedule    : 
editor            : 
keywords          : 
licence           : 
homepage          : 
package_uuid      : 69d47e72-f6bc-48ab-b080-3c8f360a8199
signer            : wapt.lesfourmisduweb.org
signer_fingerprint: 8da83ebdac1a25e820b186510d049f47407b11835b0664fdc5bacd3595b1671d
signature         : mvVWWiVG4gtUMIgqsGOy+WIPE9Ng10TI80ySJGt7XXIkD7gv1Uj2RH2wMPTaikdUWjajzsEdgMNB1xXLl9IoWiTUMkGUiligk+eA0rior8IwFRUoZgQpXq8hwSjmsRceMqTbxzvh1gSTAsJJVoLutJnRrIt3eULEkLA/lf8SqHPKU2MmL99krYifzaLUnOPf+oaV6g6OcStFuvZoKa/vDUJHKMyJp4prEr3V4pX4P4ufRj07dYkwdb7vlTdWYgbl3gISZbXy7ZcoH4SAtIWCjUXGd6z48auFH04V2DSGuzJ+47kAj7LBExXx4xyaBZnpnthaQ4dahWnQz7XH9kuQNg==
signature_date    : 20181215-204514
signed_attributes : package,version,architecture,section,priority,maintainer,description,depends,conflicts,maturity,locale,target_os,min_os_version,max_os_version,min_wapt_version,sources,installed_size,impacted_process,description_fr,description_pl,description_de,description_es,audit_schedule,editor,keywords,licence,homepage,package_uuid,signer,signer_fingerprint,signature_date,signed_attributes






Fichier setup.py :

# -*- coding: utf-8 -*-
from setuphelpers import *

# registry key(s) where WAPT will find how to remove the application(s)
uninstallkey = []

def install():
    diskfreespacebefore = get_disk_free_space(programfiles)
    print('installing Adobe Air')
    versionpaquet = control['version'].split('-',1)[0]
    install_exe_if_needed('AdobeAIRInstaller.exe',silentflags='-silent',key='Adobe AIR',min_version=versionpaquet)
    uninstallkey.remove('Adobe AIR')
    mkdirs(makepath(programfiles,'wapt-files'))
    filecopyto('AdobeAIRInstaller.exe',makepath(programfiles,'wapt-files'))
    diskfreespaceafter = get_disk_free_space(programfiles)
    difffreespace = diskfreespacebefore - diskfreespaceafter
    print(ur"Disk space required for installation : " + str(difffreespace))

def uninstall():
    run('"%s" -uninstall' % makepath(programfiles,'wapt-files','AdobeAIRInstaller.exe'))
    remove_file(makepath(programfiles,'wapt-files','AdobeAIRInstaller.exe'))

def update_package():

    import requests,BeautifulSoup
    page = requests.get('https://get.adobe.com/fr/air/',headers={'User-Agent':'Mozilla/5.0 (Windows NT 6.1; Win64; x64)'}).text
    bs = BeautifulSoup.BeautifulSoup(page)
    latest_version = bs.find(id="autoSelectedVersion").find(id="AUTO_ID_columnleft_p_version").text.replace('Version','').strip()
    print('Latest version: %s' % latest_version)

    wget('http://airdownload.adobe.com/air/win/download/%s/AdobeAIRInstaller.exe' % (latest_version),'AdobeAIRInstaller.exe')

    vers = get_file_properties('AdobeAIRInstaller.exe')['FileVersion']

    os.chdir(os.path.dirname(__file__))

    from waptpackage import PackageEntry
    pe = PackageEntry()
    pe.load_control_from_wapt(os.getcwd())

    pe.version = vers + '-0'
    pe.save_control_to_wapt(os.getcwd())

if __name__ == '__main__':
    update_package()